package com.zcloud.fire.check.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.fire.check.dto.*;
import com.zcloud.fire.check.dto.clientobject.*;

import java.util.List;
import java.util.Map;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:09
 */
public interface FireCheckListServiceI {
    PageResponse<FireCheckListScreenCO> screenList(FireCheckListScreenQry qry);

    PageResponse<FireCheckListCO> listPage(FireCheckListPageQry qry);

    SingleResponse<FireCheckListCO> add(FireCheckListAddCmd cmd);

    void edit(FireCheckListUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    FireCheckListCO getInfoById(Long id);

    void editState(FireCheckListUpdateStateCmd fireCheckListUpdateStateCmd);

    PageResponse<FireCheckListCO> appCheckList(FireCheckListPageQry qry);

    PageResponse<RiskDistributionCO> riskDistribution(RiskDistributionPageQry qry);

    RiskDistributionStasticCO riskDistributionStatistic();

    PageResponse<PointDistributionCO> pointDistributionStatistic(PointDistributionPageQry qry);

    List<FireCheckPointListCO> getCheckPointList(CheckPointListQry qry);

    PageResponse<FireBackCheckListCO> getBackChecKList(FireBackCheckListPageQry qry);


    PageResponse<FireCheckListCO> checkListRecordList(FireCheckListRecordPageQry qry);

    PageResponse<FireCheckListCO> getCheckListRecord(CheckListRecordPageQry qry);

    void checkStandard(CheckPointListQry qry);

    Integer checkListCount(FireCheckListPageQry qry);

    void overTimeRecord(Map<String, Object> params);

    void waitFireCheckList(String checkType);
}

